
package com.tmerclub.cloud.common.product.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 属性值信息VO
 *
 * @author tmerclub
 * @date 2020-10-28 15:27:24
 */
public class AttrValueVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "属性id")
    private Long attrValueId;

    @Schema(description = "属性ID")
    private Long attrId;

    @Schema(description = "属性值")
    private String value;

    @Schema(description = "属性值多语言")
    private List<AttrValueLangVO> values;

    public Long getAttrValueId() {
        return attrValueId;
    }

    public void setAttrValueId(Long attrValueId) {
        this.attrValueId = attrValueId;
    }

    public Long getAttrId() {
        return attrId;
    }

    public void setAttrId(Long attrId) {
        this.attrId = attrId;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public List<AttrValueLangVO> getValues() {
        return values;
    }

    public void setValues(List<AttrValueLangVO> values) {
        this.values = values;
    }

    @Override
    public String toString() {
        return "AttrValueVO{" +
                "attrValueId=" + attrValueId +
                ",attrId=" + attrId +
                ",value=" + value +
                ",values=" + values +
                '}';
    }
}
